<?php


// Include the main TCPDF library (search for installation path).
require_once('C:\xampp\htdocs\oil_gas\TCPDF-main\TCPDF-main\tcpdf.php');

class PDF extends TCPDF 
{
    public function Header(){
        
        $imageFile = K_PATH_IMAGES. 'logo.jpg';
        $this->Image( $imageFile, 10, 5, 20, '', 'jpg', '', 'T', false, 300, '', false, false, 0, false, false, false);
    }
    public function Footer(){
        
    }

}

// create new PDF document
$pdf = new PDF('p', 'mm', 'A4', true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Nicola Asuni');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 005', PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
    require_once(dirname(__FILE__).'/lang/eng.php');
    $pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('dejavusans', '', 10);

// add a page
$pdf->AddPage();

// writeHTML($html, $ln=true, $fill=false, $reseth=false, $cell=false, $align='')
// writeHTMLCell($w, $h, $x, $y, $html='', $border=0, $ln=0, $fill=0, $reseth=true, $align='', $autopadding=true)

// create some HTML content
$html = '<h1 style="text-align:center">FULL VISUAL INSPECTION</h1>';

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');
RT: </h2>
<h2 style="text-align:center">WORK ORDER No:</h2>
<h2 style="text-align:center"><b>Equipment Location: <?php echo $row['inspector_name']?></b></h2>';
<?php
}
?>

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');


// output some RTL HTML content
$html = <<<EOF
<!-- EXAMPLE OF CSS STYLE -->
<style>
    h5 {
        color: black;
        font-size: 15pt;
        text-decoration: none;
        margin-top: 500px;
        text-align: center;
    }
   
</style>
<div><h5>Inspection Date:</h5> </div>
EOF;
$pdf->writeHTML($html, true, false, true, false, '');

//$html = '<div style="text-align:bottom">Original Copy </div>';
//$pdf->writeHTML($html, true, false, true, false, '');



// reset pointer to the last page
$pdf->lastPage();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Print a table

// add a page
$pdf->AddPage();

// define some HTML content with style
$html = <<<EOF
<!-- EXAMPLE OF CSS STYLE -->
<style>
    h6 {
        color: blue;
        font-size: 10pt;
        text-decoration: underline;
        margin-top: 20px;
    }
   
</style>

<table border="1" cellpadding="2" cellspacing="2" align="center">
 <tr nobr="true">
  <td><img src="images/logo.jpg" border="0"  /><br /><img src="images/logo.jpg" border="0"  /></td>
  <td>Equipment Name and Tag Number: XXXXXXX<br /><img src="images/logo.jpg" border="0"  /></td>
  <td><img src="images/logo.jpg" border="0"  /><br /><img src="images/logo.jpg" border="0"  /></td>
 </tr>
</table>
<h6 style="margin-top: 20px; color: blue;"> <u>Design Data (Obtained From Drawings/Name Plate):</u>  </h6>
<table class="table-bordered" style="width: 100%" >
    <tbody style="border: 2px solid black;">
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">MAWP.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">MDMT.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">MAWP.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Max w. Pressure</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Design Pressure / Temp.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Max Test Pressure</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Size </td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Max Working Temperature</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Shell Material Thickness</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Head Material Thickness</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Corrosion Allowance</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Design Sep. GR</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">PWHT</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Radiography</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Design Code </td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Type</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">S/N</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">WT</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Service:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Closure Gasket No.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Design Pressure / Temp.</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Max Test Pressure</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Year of Manufacture/Installation </td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Model:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Other info on Name late</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Flow</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Corrosion Allowance</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">S/N.:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">PWHT</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">DRW. No.:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Design Code </td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">W/ O No.:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Weld Joint Efficiency</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Weight:</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Operating Pressure</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Test Pressure</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
        <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Tag: </td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Dwg</td>
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);"><input type="text" style="width: 100; margin-top: 10px; margin-left: 10px; background:transparent; border: none;"></td>
        </tr>
    </tbody>
    <tr style="border: 2px solid black;">
            <td style="border: 2px solid black; font-weight: 500; color:rgb(3, 3, 31);">Manufactured BY: </td>
            
        </tr>
</table>
</div>
EOF;

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// reset pointer to the last page
$pdf->lastPage();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Print a table

// add a page
$pdf->AddPage();

// create some HTML content
$html = '<h1>Image alignments on HTML table</h1>
<table cellpadding="1" cellspacing="1" border="1" style="text-align:center;">
<tr><td><img src="images/logo_example.png" border="0" height="41" width="41" /></td></tr>
<tr style="text-align:left;"><td><img src="images/logo_example.png" border="0" height="41" width="41" align="top" /></td></tr>
<tr style="text-align:center;"><td><img src="images/logo_example.png" border="0" height="41" width="41" align="middle" /></td></tr>
<tr style="text-align:right;"><td><img src="images/logo_example.png" border="0" height="41" width="41" align="bottom" /></td></tr>
<tr><td style="text-align:left;"><img src="images/logo_example.png" border="0" height="41" width="41" align="top" /></td></tr>
<tr><td style="text-align:center;"><img src="images/logo_example.png" border="0" height="41" width="41" align="middle" /></td></tr>
<tr><td style="text-align:right;"><img src="images/logo_example.png" border="0" height="41" width="41" align="bottom" /></td></tr>
</table>';

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// reset pointer to the last page
$pdf->lastPage();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Print all HTML colors

// add a page
$pdf->AddPage();

$textcolors = '<h1>HTML Text Colors</h1>';
$bgcolors = '<hr /><h1>HTML Background Colors</h1>';

foreach(TCPDF_COLORS::$webcolor as $k => $v) {
    $textcolors .= '<span color="#'.$v.'">'.$v.'</span> ';
    $bgcolors .= '<span bgcolor="#'.$v.'" color="#333333">'.$v.'</span> ';
}

// output the HTML content
$pdf->writeHTML($textcolors, true, false, true, false, '');
$pdf->writeHTML($bgcolors, true, false, true, false, '');

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Test word-wrap

// create some HTML content
$html = '<hr />
<h1>Various tests</h1>
<a href="#2">link to page 2</a><br />
<font face="courier"><b>thisisaverylongword</b></font> <font face="helvetica"><i>thisisanotherverylongword</i></font> <font face="times"><b>thisisaverylongword</b></font> thisisanotherverylongword <font face="times">thisisaverylongword</font> <font face="courier"><b>thisisaverylongword</b></font> <font face="helvetica"><i>thisisanotherverylongword</i></font> <font face="times"><b>thisisaverylongword</b></font> thisisanotherverylongword <font face="times">thisisaverylongword</font> <font face="courier"><b>thisisaverylongword</b></font> <font face="helvetica"><i>thisisanotherverylongword</i></font> <font face="times"><b>thisisaverylongword</b></font> thisisanotherverylongword <font face="times">thisisaverylongword</font> <font face="courier"><b>thisisaverylongword</b></font> <font face="helvetica"><i>thisisanotherverylongword</i></font> <font face="times"><b>thisisaverylongword</b></font> thisisanotherverylongword <font face="times">thisisaverylongword</font> <font face="courier"><b>thisisaverylongword</b></font> <font face="helvetica"><i>thisisanotherverylongword</i></font> <font face="times"><b>thisisaverylongword</b></font> thisisanotherverylongword <font face="times">thisisaverylongword</font>';

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// Test fonts nesting
$html1 = 'Default <font face="courier">Courier <font face="helvetica">Helvetica <font face="times">Times <font face="dejavusans">dejavusans </font>Times </font>Helvetica </font>Courier </font>Default';
$html2 = '<small>small text</small> normal <small>small text</small> normal <sub>subscript</sub> normal <sup>superscript</sup> normal';
$html3 = '<font size="10" color="#ff7f50">The</font> <font size="10" color="#6495ed">quick</font> <font size="14" color="#dc143c">brown</font> <font size="18" color="#008000">fox</font> <font size="22"><a href="http://www.tcpdf.org">jumps</a></font> <font size="22" color="#a0522d">over</font> <font size="18" color="#da70d6">the</font> <font size="14" color="#9400d3">lazy</font> <font size="10" color="#4169el">dog</font>.';

$html = $html1.'<br />'.$html2.'<br />'.$html3.'<br />'.$html3.'<br />'.$html2;

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// test pre tag

// add a page
$pdf->AddPage();

$html = <<<EOF
<div style="background-color:#880000;color:white;">
Hello World!<br />
Hello
</div>
<pre style="background-color:#336699;color:white;">
int main() {
    printf("HelloWorld");
    return 0;
}
</pre>
<tt>Monospace font</tt>, normal font, <tt>monospace font</tt>, normal font.
<br />
<div style="background-color:#880000;color:white;">DIV LEVEL 1<div style="background-color:#008800;color:white;">DIV LEVEL 2</div>DIV LEVEL 1</div>
<br />
<span style="background-color:#880000;color:white;">SPAN LEVEL 1 <span style="background-color:#008800;color:white;">SPAN LEVEL 2</span> SPAN LEVEL 1</span>
EOF;

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// test custom bullet points for list

// add a page
$pdf->AddPage();

$html = <<<EOF
<h1>Test custom bullet image for list items</h1>
<ul style="font-size:14pt;list-style-type:img|png|4|4|images/logo_example.png">
    <li>test custom bullet image</li>
    <li>test custom bullet image</li>
    <li>test custom bullet image</li>
    <li>test custom bullet image</li>
<ul>
EOF;

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// reset pointer to the last page
$pdf->lastPage();

// ---------------------------------------------------------

//Close and output PDF document
$pdf->Output('example_006.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+